Clicking "apply" causes the column used for labelling/symbology to reset

2014-05-24 09:07 AM - Harrissou Santanna

Status: Closed

Priority: Severe/Regression

Assignee: Denis Rouzaud

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18761

Description

Hi,

In the label menu of a vector Layer, choose the column to use for labeling and press APPLY. Your labels are applied in the canvas but

you'll see that the attribute's listbox become empty. Then, if you do another change in the properties and press OK, you lose your labels.

If the first time, you have pressed OK after selecting your labels, you keep these labels till once again you open your Properties Dialog and

press APPLY before OK.

It seems that using the APPLY button resets this field.

I don't know if i need to open a ticket for that but when using a categorized or graduated symbology, clicking APPLY erases the contents

of the column listbox. But this symbology is well displayed and the next time you open the Properties dialog, the column name reappears.

QGIS Master commit:c234a09 (OsGeo4w)

Related issues:

Related to QGIS Application - Bug report # 10460: label field disappear when ... Closed 2014-06-04

Associated revisions

Revision 3abfb62c - 2014-06-12 12:17 AM - Jürgen Fischer

avoid reloading fields when existing provider encoding is re-set (fixes #10340)

History

#1 - 2014-05-24 09:14 AM - Giovanni Manghi

- Subject changed from the selection of an attribute column to use for labeling is not memorized to Clicking "apply" causes the column used for 

labelling/symbology to reset

- Category deleted (Labelling)

- Priority changed from High to Severe/Regression

- Target version set to Version 2.4

Confirmed here, regression.

#2 - 2014-05-25 04:06 AM - Anita Graser

related or duplicate of #10163

#3 - 2014-05-29 01:46 AM - Harrissou Santanna
I think this ticket should be closed as the issue has been fixed (it works fine since 2 or 3 days).

#4 - 2014-05-29 02:02 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented

#5 - 2014-05-29 01:18 PM - Larry Shaffer

- Category set to Labelling

- Status changed from Closed to Reopened

This is not completely fixed yet, and definitely a blocker. Seems with labeled layers of .shp file sources, clicking APPLY still clears the label's text combo

box.

This occurs only in the Layer Properties dialog, not when opening the Layer Labeling Options dialog independently from the labeling toolbar.

Latest master on Mac 10.9, though pretty sure platform is inconsequential.

#6 - 2014-05-29 02:17 PM - Harrissou Santanna

I Confirm on Windows. 

On .shp files, both label and style column are erased.

---

MapInfo .TAB and .MIF files are also concerned. Not .DXF nor PostGIS tables for the formats I tried.

#7 - 2014-06-04 06:39 PM - Larry Shaffer

With latest master, I can no longer reproduce this issue with shapefiles, on Mac 10.7.5.

#8 - 2014-06-05 03:29 AM - Giovanni Manghi

- Operating System deleted (Windows)

- OS version deleted (Seven)

- Resolution deleted (fixed/implemented)

Larry Shaffer wrote:

With latest master, I can no longer reproduce this issue with shapefiles, on Mac 10.7.5.

I just compiled the latest code (on Ubuntu) and the bug is still there.

#9 - 2014-06-05 04:00 AM - Nathan Woodrow

- Assignee set to Denis Rouzaud

Something is wrong in the QgsFieldModel.
#10 - 2014-06-11 08:08 AM - Giovanni Manghi

On master I can't see this issue anymore for the labelling dialog, but it is still there for the symbology one: strange enough when testing the issue with

symbology this will affect also labelling...

#11 - 2014-06-11 03:18 PM - Jürgen Fischer

- Status changed from Reopened to Closed

Fixed in changeset commit:"3abfb62c616813f70d728aa9a45457140adc1b29".
